Attribute VB_Name = "modFun"
Option Explicit

Public Const cstGenericError = "Generic error : "
Public Const cstErrorInLoading = "Error in Loading : "
Public Const cstQuestionStopRendering = "Do you want to stop the RayTracing?"

'*************** Chiave applicazione ***************
Public Const HKEY_LOCAL_MACHINE = &H80000002
Public Const APP_REGKEY = "SOFTWARE\GiulioSPA\N3DRender"

Public g_CanExit As Boolean

Global g_Statistics As Boolean

Sub Main()
   '
   ' Seleziona l'Immagine
   '
   If InStr(1, UCase(Command()), "/D") Then
      g_Statistics = True
   Else
      g_Statistics = False
   End If
   '
   frmRender.Show
   If frmRender.ApriScena Then
      g_CanExit = False
      If Not frmRender.Render Then
         g_CanExit = True
         Unload frmRender
         End
      Else
         g_CanExit = True
      End If
   Else
      End
   End If
   '
End Sub

Public Function GetAppName(Path As String) As String
'*****************************************************************************
'* Metodo      :  GetAppName
'* Descrizione :  Ritorna il nome di un'applicazione :
'* Input       :  es. "C:\Programmi\Office\Winword.EXE"
'* Output      :  es. "Winword"
'* Autore      :  Giuliano Cornacchiola - Consulente informatico
'* Creata il   :  16/07/1997
'* REVISIONI E MODIFICHE :
'* ---------------------------------------------------------------------------
'*     DATA    |    AUTORE    | DESCRIZIONE DELLE MODIFICHE
'* ---------------------------------------------------------------------------
'*             |              |
'*****************************************************************************
Dim A$, B$
Dim index As Long
Dim I As Integer
   '
   A$ = ""
   Path = Mid(Path, 1, Len(Path) - 4)
   For I = 1 To Len(Path)
      index = (Len(Path) + 1) - I
      B$ = Mid(Path, index, 1)
      If B$ = "\" Then
         Path = Left(Path, index)
         Exit For
      Else
         A$ = B$ & A$
      End If
   Next I
   GetAppName = A$
   '
End Function

